2011-03-04 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* configure.in: Bumped version to 1.1.15
	* NEWS: likewise
	* README: likewise
	* AUTHORS: update email address
	* jfsutils.spec.in: likewise

2011-02-25 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* fsck/fsckdtre.c: directory size reflects size of directory index
	* fsck/fsckmeta.c: another 64-bit fix

2010-06-04 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* fsck/xchkdsk.c: Fix inconsistent timestamp format

2010-06-03 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* fsck/fsckpfs.c: use 64-bit value to address extent length
	* fsck/fsckwsp.c: use 64-bit values for block map size
	* mkfs/mkfs.c: use 64-bit values for additional structures

2010-01-07 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* libfs/log_dump.c: handle positive error value from find_log()

2009-11-30 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* mkfs/initmap.c: use 64-bit integers to handle volumes over 32 TB
	* mkfs/initmap.h: likewise

2009-07-13 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* tune/jfs_tune.8: file systems CAN share an external journal

2009-04-06 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* configure.in: Bumped version to 1.1.14
	* NEWS: likewise
	* README: likewise
	* jfsutils.spec.in: update email address

2009-04-03 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* fsck/fsck_message.c: Don't call printf with an untrusted format

2009-03-23 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* libfs/devices.c: Don't call ioctl(BLKFLSBUF) on a ramdisk

2009-01-09 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* mkfs/mkfs.c: increase log size limit from 32 MB to 128 MB

2008-09-13 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* libfs/log_read.c: moveWords must handle records that span 3 pages

2008-07-17 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* configure.in: Bumped version to 1.1.13
	* NEWS: likewise
	* README: likewise

2008-03-24 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* libfs/fsckmsgdef.c: get rid of unhelpful allocation messages
	* libfs/log_map.c: likewise
	* libfs/log_work.c: likewise

2008-01-14 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* libfs/devices.c: define _LARGEFILE_SOURCE explictly

2007-09-28 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* libfs/log_work.c: Sanity check lock list ranges
	* libfs/logredo.h: Add new error return code

2007-09-17 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* libfs/message.c: Rewrite a confusing error message

2007-08-24 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* configure.in: Bumped version to 1.1.12
	* NEWS: likewise
	* README: likewise

2007-08-23 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* libfs/fssubs.c: open() needs a mode parameter with O_CREAT

2007-08-22 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* fsck/fsckpfs.c: Allow -n flag to be used in conjuction with others
	* fsck/xchkdsk.c: Likewise

2007-07-23 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* libfs/open_by_label.c: look for external journal in /proc/mdstat

2007-04-07 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* configure.in: Support for netbsd (Submitted by Gary Thorpe)
	* libfs/devices.c: Likewise
	* libfs/fssubs.c: Likewise
	* mkfs/mkfs.c: Likewise

2007-03-20 Dave Kleikamp <shaggy@vnet.linux.ibm.com>
	* libfs/logform.c: Don't close journal file descriptor
	* mkfs/mkfs.c: caller of jfs_logform() should close file descriptor

2006-11-02 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/jfs_endian.c: Fix bug possible array overflow

2006-08-21 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/jfs_endian.c: Fix bug on legacy partition on big-endian hw

2006-06-05 Dave Kleikamp <shaggy@austin.ibm.com>
	* configure.in: Add compiler flags to generate useful warnings
	* mkfs/makefile.am: Likewise
	* defrag/helpers.h: Eliminate compiler warnings
	* fsck/fsck_message.c: Likewise
	* fsck/fsckbmap.c: Likewise
	* fsck/fsckdire.c: Likewise
	* fsck/fsckdtre.c: Likewise
	* fsck/fsckimap.c: Likewise
	* fsck/fsckino.c: Likewise
	* fsck/fsckmeta.c: Likewise
	* fsck/fsckpfs.c: Likewise
	* fsck/fsckruns.c: Likewise
	* fsck/fsckwsp.c: Likewise
	* fsck/fsckxtre.c: Likewise
	* fsck/xchkdsk.c: Likewise
	* fscklog/extract.c: Likewise
	* fscklog/fscklog.c: Likewise
	* fscklog/jfs_fscklog.h: Likewise
	* libfs/diskmap.h: Likewise
	* libfs/fsck_message.h: Likewise
	* libfs/jfs_endian.c: Likewise
	* libfs/log_dump.c: Likewise
	* libfs/super.h: Likewise
	* libfs/utilsubs.h: Likewise
	* mkfs/mkfs.c: Likewise
	* tune/tune.c: Likewise
	* xpeek/alter.c: Likewise
	* xpeek/directory.c: Likewise
	* xpeek/display.c: Likewise
	* xpeek/dmap.c: Likewise
	* xpeek/fsckcbbl.c: Likewise
	* xpeek/help.c: Likewise
	* xpeek/iag.c: Likewise
	* xpeek/inode.c: Likewise
	* xpeek/io.c: Likewise
	* xpeek/super.c: Likewise
	* xpeek/super2.c: Likewise
	* xpeek/ui.c: Likewise
	* xpeek/xpeek.c: Likewise
	* README: Bumped version to 1.1.11
	* NEWS: Likewise

2006-06-04 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/log_work.c: Fix segfault in markImap

2006-05-26 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckxtre.c: Using incorrect pointer resulted in trap

2006-05-24 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsck_message.c: define _GNU_SOURCE to get proto for basename()

2006-05-24 Manuel Menal <mmenal@hurdfr.org>
	* configure.in: porting jfsutils to GNU/Hurd
	* libfs/devices.c: Likewise
	* mkfs/initmap.c: Likewise
	* xpeek/directory.c: Likewise

2006-04-15 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckdtre.c: Fix buffer overflow

2006-01-11 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/dirindex.c: dirty_index_page should be void
	* fsck/fsckxtre.c: avoid infinite loop in xTree_binsrch_page
	* mkfs/mkfs.c: Remove (Expermental) from usage statement

2005-11-22 Dave Kleikamp <shaggy@austin.ibm.com>
	* Too many to list: Clean up includes & remove trailing whitespace

2005-11-08 Dave Kleikamp <shaggy@austin.ibm.com>
	* configure.in: Add AC_CHECK_FUNCS(posix_memalign memalign)
	* mkfs/initmap.c: Fix infinite loop in verify_last_blocks (mkfs.jfs -c)

2005-11-08 Jon Nelson <jnelson-jfs@jamponi.net>
	* libfs/devices.c: Fix invalid assumption that fseeko returns position

2005-10-24 Mads Martin Joergensen <mmj@suse.de
	* tune/super.c: include prototypes of printf & strcpy

2005-10-19 Dave Kleikamp <shaggy@austin.ibm.com>
	* configure.in: Bumped version to 1.1.10
	* NEWS: likewise
	* README: likewise

2005-10-18 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/fssubs.c: fsck not recoginizing root filesystem as jfs

2005-10-04 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/devices.c: Only call rewind on error

2005-10-04 Jon Nelson <jnelson-jfs@jamponi.net>
	* libfs/devices.c: More stdio cleanup

2005-10-04 Dave Kleikamp <shaggy@austin.ibm.com>
	* configure.in: Bumped version to 1.1.9
	* NEWS: likewise
	* README: likewise

2005-10-03 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckdtre.c: Eliminate OS/2 DASD Limits code to save memory
	* fsck/fsckimap.c: Likewise
	* fsck/fsckino.c: Likewise
	* fsck/fsckmeta.c: Likewise
	* fsck/fsckwsp.c: Likewise
	* fsck/xchkdsk.c: Likewise
	* fsck/xfsckint.h: Likewise
	* libfs/fsckwsp.h: Likewise

2005-10-03 Hiten Pandya <hmp@dragonflybsd.org>
	   Dave Kleikamp <shaggy@austin.ibm.com>
	* AUTHORS: Add Hiten Pandya
	* configure.in: Changes for compatibility with Dragonfly BSD
	* fsck/fsckdire.c: Likewise
	* fsck/fsckpfs.c: Likewise
	* fsck/xchkdsk.c: Likewise
	* fsck/xfsckint.h: Likewise
	* fscklog/Makefile.am: Likewise
	* fscklog/extract.c: Likewise
	* libfs/Makefile.am: Likewise
	* libfs/devices.c: Likewise
	* libfs/devices.h: Likewise
	* libfs/inode.c: Likewise
	* libfs/inode.h: Likewise
	* libfs/log_dump.c: Likewise
	* libfs/log_map.c: Likewise
	* libfs/log_read.c: Likewise
	* libfs/log_work.c: Likewise
	* libfs/logform.c: Likewise
	* libfs/logform.h: Likewise
	* libfs/logredo.c: Likewise
	* libfs/logredo.h: Likewise
	* libfs/open_by_label.c: Likewise
	* libfs/super.c: Likewise
	* libfs/super.h: Likewise
	* libfs/utilsubs.h: Likewise
	* logdump/Makefile.am: Likewise
	* logdump/logdump.c: Likewise
	* mkfs/Makefile.am: Likewise
	* mkfs/initmap.c: Likewise
	* mkfs/initmap.h: Likewise
	* mkfs/inodemap.c: Likewise
	* mkfs/inodemap.h: Likewise
	* mkfs/inodes.c: Likewise
	* mkfs/inodes.h: Likewise
	* mkfs/mkfs.c: Likewise
	* tune/Makefile.am: Likewise
	* tune/tune.c: Likewise
	* xpeek/Makefile.am: Likewise
	* xpeek/alter.c: Likewise
	* xpeek/display.c: Likewise
	* xpeek/dmap.c: Likewise
	* xpeek/fsckcbbl.c: Likewise
	* xpeek/inode.c: Likewise
	* xpeek/io.c: Likewise
	* xpeek/super.c: Likewise
	* xpeek/super2.c: Likewise
	* xpeek/xpeek.c: Likewise
	* xpeek/xpeek.h: Likewise

2005-08-15 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/fssubs.c: Fix stack buffer overflow in Is_Device_Mounted

2005-06-29 Dave Kleikamp <shaggy@austin.ibm.com>
	* mkfs/mkfs.c: Fix problem with option -J journal_dev

2005-06-20 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckmeta.c: fsck shouldn't quit if unused aggregate inode is bad

2005-06-16 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsck_message.c: use basename(file_name) to avoid overlong msgs
	* libfs/fsck_message.h: add declaration of v_fsck_send_msg to header
	* libfs/logredo.c: declaration of v_fsck_send_msg is now in header

2005-05-03 Dave Kleikamp <shaggy@austin.ibm.com>
	* mkfs/initmap.c: Use O_DIRECT when checking for bad blocks
	* configure.in: Bumped version to 1.1.8
	* NEWS: likewise
	* README: likewise

2005-04-29 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/dirindex.c: Update directory index table when moving entries
	* fsck/fsckdire.c: Likewise
	* fsck/fsckdtre.c: Likewise
	* fsck/xchkdsk.c: Likewise
	* fsck/xfsckint.h: Likewise
	* include/jfs_dtree.c: Likewise

2005-04-18 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckmeta.c: ignore errors in inode 1 in phase 3 too

2005-03-22 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/log_work.c: Don't let i_data update wipe out btroot

2005-03-16 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckpfs.c: Make sure data gets flushed to disk
	* libfs/devices.c: Likewise
	* libfs/devices.h: Likewise
	* libfs/logform.c: Likewise
	* mkfs/mkfs.c: Likewise
	* xpeek/xpeek.c: Likewise
	* defrag/helpers.c: Get rid of silly HFILE define
	* defrag/helpers.h: Likewise
	* fsck/dirindex.c: Likewise
	* fsck/fsckbmap.c: Likewise
	* fsck/fsckcbbl.c: Likewise
	* fsck/fsckconn.c: Likewise
	* fsck/fsckdtre.c: Likewise
	* fsck/fsckimap.c: Likewise
	* fsck/fsckino.c: Likewise
	* fsck/fsckmeta.c: Likewise
	* fsck/fsckwsp.c: Likewise
	* fsck/fsckxtre.c: Likewise
	* fsck/xchkdsk.c: Likewise
	* fsck/xfsckint.h: Likewise
	* fscklog/extract.c: Likewise
	* libfs/inode.c: Likewise
	* libfs/inode.h: Likewise
	* libfs/super.c: Likewise
	* libfs/super.h: Likewise
	* logdump/logdump.c: Likewise
	* mkfs/initmap.c: Likewise
	* mkfs/inodemap.c: Likewise
	* mkfs/inodemap.h: Likewise
	* mkfs/inodes.c: Likewise
	* mkfs/inodes.h: Likewise
	* xpeek/xpeek.h: Likewise

2005-03-09 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsck.c: Added blocks pararmeter to specify file system size
	* fsck/jfs_fsck.8: Likewise.

2005-02-18 Dave Kleikamp <shaggy@austin.ibm.com>
	* README: Homepage changed to sourceforge.net
	* jfsutils.spec.in: Likewise.
	* fsck/jfs_fsck.8: Likewise
	* fscklog/jfs_fscklog.8: Likewise
	* logdump/jfs_logdump.8: Likewise
	* mkfs/jfs_mkfs.8: Likewise
	* tune/jfs_tune.8: Likewise
	* xpeek/jfs_debugfs.8: Likewise

2004-12-15 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/dirindex.c: Remove unused variables & eliminate compiler warnings
	* fsck/fsckbmap.c: Likewise
	* fsck/fsckcbbl.c: Likewise
	* fsck/fsckconn.c: Likewise
	* fsck/fsckdtre.c: Likewise
	* fsck/fsckimap.c: Likewise
	* fsck/fsckino.c: Likewise
	* fsck/fsckmeta.c: Likewise
	* fsck/fsckpfs.c: Likewise
	* fsck/fsckwsp.c: Likewise
	* fsck/fsckxtre.c: Likewise
	* fsck/xchkdsk.c: Likewise
	* fscklog/display.c: Likewise
	* fscklog/extract.c: Likewise
	* fscklog/fscklog.c: Likewise
	* libfs/log_dump.c: Likewise
	* libfs/log_map.c: Likewise
	* libfs/log_read.c: Likewise
	* libfs/log_work.c: Likewise
	* libfs/logredo.c: Likewise
	* libfs/logredo.h: Likewise
	* logdump/helpers.c: Likewise
	* logdump/logdump.c: Likewise

2004-12-02 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/devices.c: print message on read/write errors

2004-11-02 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/logform.c: pad log_sup to 4K since we do 4K reads & writes on it

2004-09-24 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckmeta.c: Don't bail out if reserved inode 1 is bad
	* fsck/xchkdsk.c: If phase 1 fails, don't act like it's ok
	* libfs/logredo.c: always rebuild inode map, even if sb is dirty

2004-07-22 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckconn.c: Pass proper number of args to fsck_send_msg
	* libfs/fsckmsgdef.c: Lots of message corrections
	* fsck/fsckdtre.c: directory index table fixes for big endian systems
	* fsck/fsckino.c: Likewise
	* libfs/jfs_endian.c: Likewise
	* xpeek/directory.c: Likewise
	* fsck/xchkdsk.c: Warn that running fsck on mounted fs is not dependable
	* configure.in: Bumped version to 1.1.7
	* NEWS: likewise
	* README: likewise

2004-07-21 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckea.c: Verify that xattr length is correct
	* fsck/fsckino.c: Likewise
	* fsck/xfsck.h: Likewise

2004-06-29 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/logredo.c: Ensure changes to disk occur in proper order

2004-05-24 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/xchkdsk.c: --replay_journal_only shouldn't clear FM_DIRTY

2004-04-26 Dave Kleikamp <shaggy@austin.ibm.com>
	* configure.in: Bumped version to 1.1.6.
	* NEWS: likewise
	* README: likewise
	* fsck/Makefile.am: Add new source file: dirindex.c
	* fsck/dirindex.c: verify and reset directory index table
	* fsck/fsckdtre.c: Likewise
	* fsck/fsckino.c: Likewise
	* fsck/fsckpfs.c: Likewise
	* fsck/fsckwsp.c: Likewise
	* fsck/fsckxtre.c: Likewise
	* fsck/xchkdsk.c: Likewise
	* fsck/xfsckint.h: Likewise
	* include/jfs_dtree.h: Likewise
	* libfs/fsck_message.h: Likewise
	* libfs/fsckmsgdef.c: Likewise
	* libfs/fsckwsp.h: Likewise

2004-04-26 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckdtre.c: restructure dTree_process_leaf_slots for readability

2004-04-19 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckdtre.c: restructure dTree_processing for readability

2004-04-12 Dave Kleikamp <shaggy@austin.ibm.com>
	* tune/tune.c: Change superblock version to 2 if setting uuid

2004-03-04 Dave Kleikamp <shaggy@austin.ibm.com>
	* configure.in: Bumped version to 1.1.5.
	* NEWS: likewise
	* README: likewise
	* fsck/xchkdsk.c: Support multiple volumes sharing journal
	* libfs/fsck_message.h: Likewise
	* libfs/fsckmsgdef.c: Likewise
	* libfs/log_dump.c: Likewise
	* libfs/log_read.c: Likewise
	* libfs/log_work.c: Likewise
	* libfs/logredo.c: Likewise
	* libfs/logredo.h: Likewise
	* libfs/open_by_label.c: Likewise
	* mkfs/mkfs.c: Likewise
	* tune/tune.c: Likewise

2004-01-29 Dave Kleikamp <shaggy@austin.ibm.com>
	* tune/tune.c: Don't use O_EXCL unless filesystem should be unmounted
	* xpeek/xpeek.c: Don't use O_EXCL

2004-01-21 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/devices.h: remove dev_to_kdev
	* libfs/logredo.c: likewise
	* mkfs/mkfs.c: likewise
	* tune/tune.c: likewise
	* libfs/fsckmsgdef.c: fix errant message that caused a seg fault
	* fsck/fsckconn.c: likewise

2003-12-17 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckmeta.c: Rework duplicate block checking to avoid horrible
			   performance
	* fsck/fsckwsp.c: likewise
	* fsck/xfsckint.h: likewise
	* libfs/fsckwsp.h: likewise
	* libfs/fsck_message.h: Remove redundant semicolons

2003-12-10 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/log_work.c: fix replaying of symlink journal records

2003-12-09 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/xchkdsk.c: fix buffer overflow

2003-11-10 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckdire.c: zero directory index field
	* fsck/fsckdtre.c: shorten names in lost+found

2003-10-30 Dave Kleikamp <shaggy@austin.ibm.com>
	* configure.in: Bumped version to 1.1.4.
	* NEWS: likewise
	* README: likewise

2003-10-21 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/fsckmsgdef.c: Message format fix

2003-10-15 Dave Kleikamp <shaggy@austin.ibm.com>
	* fscklog/fscklog.c: Add missing prototype, submitted by Stasys Smailys

2003-10-14 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/devices.c: BLKGETSIZE64 definition had incorrect parameter

2003-09-16 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsck_message.c: Handle log full without crashing

2003-09-11 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/fsck_message.h: Work around gcc 2.95 bug

2003-09-05 Dave Kleikamp <shaggy@austin.ibm.com>
	* fsck/fsckpfs.c: Attempt r/w open without O_EXCL
	* libfs/fsckmsgdef.c: Add back carriage return for heartbeat msgs
	* configure.in: Bumped version to 1.1.3.
	* NEWS: likewise
	* README: likewise
	* AUTHORS: likewise

2003-08-01 Karl Rister <krister@us.ibm.com>
	* fsck/xchkdsk.c: Return 0 when the journal is replayed successfully

2003-07-07 Dave Kleikamp <shaggy@austin.ibm.com>
	* tune/super.c: Do not right-justify when printing volume label
	* xpeek/super.c: Likewise.

2003-06-25 Karl Rister <krister@us.ibm.com>
	* Cleaned up fsck messages by making single function call without the use of global variables
	* libfs/fsck_message.h: New file to cleanup fsck messages
	* libfs/fsckmsgdef.c: Likewise
	* fsck/fsck_message.c: Likewise
	* libfs/fsckmsgc.h: Removed as part of fsck message cleanup
	* libfs/fsckmsge.h: Likewise
	* fsck/fsckmsgs.c: Likewise
	* fsck/fsckmsgp.h: Likewise
	* fsck/Makefile.am: Modified as part of fsck message cleanup
	* fsck/fsckbmap.c: Likewise
	* fsck/fsckcbbl.c: Likewise
	* fsck/fsckconn.c: Likewise
	* fsck/fsckdtre.c: Likewise
	* fsck/fsckimap.c: Likewise
	* fsck/fsckino.c: Likewise
	* fsck/fsckmeta.c: Likewise
	* fsck/fsckpfs.c: Likewise
	* fsck/fsckruns.c: Likewise
	* fsck/fsckwsp.c: Likewise
	* fsck/fsckwsp.c: Likewise
	* fsck/fsckxtre.c: Likewise
	* fsck/xchkdsk.c: Likewise
	* fsck/xfsckint.h: Likewise
	* fscklog/display.c: Likewise
	* fscklog/extract.c: Likewise
	* fscklog/fscklog.c: Likewise
	* fscklog/jfs_fscklog.h: Likewise
	* libfs/Makefile.am: Likewise
	* libfs/fscklog.h: Likewise
	* libfs/jfs_endian.c: Likewise
	* libfs/log_map.c: Likewise
	* libfs/log_read.c: Likewise
	* libfs/log_work.c: Likewise
	* libfs/logredo.c: Likewise
	* logdump/helpers.c: Likewise
	* logdump/logdump.c: Likewise

2003-05-22 Dave Kleikamp <shaggy@austin.ibm.com>
	* libfs/open_by_label.c: Look for evms volumes in /dev/evms

2003-04-24  Dave Blaschke <blaschke@us.ibm.com>

	* fsck/fsckwsp.c: start_time formatted incorrectly
	* fsck/xchkdsk.c: end_time stored incorrectly

2003-03-25  Dave Blaschke <blaschke@us.ibm.com>

	* README: Updated reference to mailing lists.

2003-03-25 Dave Kleikamp <shaggy@austin.ibm.com>

	* configure.in: Bumped version to 1.1.2.
	* NEWS: likewise
	* README: likewise

2003-03-21  Dave Blaschke <blaschke@us.ibm.com>

	* tune/super.c: s_label displayed incorrectly when 16 chars long.
	* xpeek/super.c: Likewise.
	* xpeek/super2.c: Likewise.

2003-03-07  Dave Blaschke <blaschke@us.ibm.com>

	* fsck/fsckbmap.c: Code cleanup suggested by static analysis tool.
	* fsck/fsckdire.c: Likewise.
	* fsck/fsckdtre.c: Likewise.
	* fsck/fsckimap.c: Likewise.
	* fsck/fsckino.c: Likewise.
	* fsck/fsckmeta.c: Likewise.
	* fsck/fsckpfs.c: Likewise.
	* fsck/fsckxtre.c: Likewise.
	* fsck/xchkdsk.c: Likewise.
	* fscklog/extract.c: Likewise.
	* libfs/log_dump.c: Likewise.
	* libfs/log_map.c: Likewise.
	* libfs/log_work.c: Likewise.
	* libfs/logredo.c: Likewise.
	* mkfs/mkfs.c: Likewise.
	* xpeek/dmap.c: Likewise.

2003-02-07  Dave Kleikamp <shaggy@austin.ibm.com>

	* libfs/logredo.c: for-loop was going past end of vopen array
	* fsck/fsckimap: Was not checking for negative this_ag

2003-01-27  Dave Kleikamp <shaggy@austin.ibm.com>

	* libfs/devices.c: Wrap long lines to 80 columns.
	* libfs/devices.c: Allow jfs_mkfs to run on regular file.
	* mkfs/mkfs.c: Likewise.

2003-01-27 Steve Best <sbest@us.ibm.com>

	* README: Remove linuxjfs e-mail id.
	* jfsutils.spec.in: Likewise.

2003-01-17  Dave Kleikamp <shaggy@austin.ibm.com>

	* fsck/fsckimap.c: Restructure code to reduce indenting.

2003-01-13  Barry Arndt  <barndt@us.ibm.com>

	* fsck/fsckbmap.c: Restructure code to reduce indenting.
	* fsck/fsckimap.c: Likewise.
	* fsck/fsckmeta.c: Likewise.
	* fsck/fsckpfs.c: Likewise.
	* fsck/fsckwsp.c: Likewise.
	* fsck/xchkdsk.c: Likewise.

2003-01-06 Steve Best <sbest@us.ibm.com>

	* Fix undefined reference to 'errno' (G. D. Haraldsson)
	* libfs/fssubs.c: Include <errno.h> instead of extern int errno
	* libfs/log_dump.c: Likewise.
	* libfs/log_map.c: Likwwise.
	* libfs/log_read.c: Likewise.
	* libfs/logredo.c: Likewise.

2002-12-17  Dave Kleikamp <shaggy@austin.ibm.com>

	* configure.in: Bumped version to 1.1.1.
	* README: Likewise.
	* NEWS: Likewise.

2002-12-11  Barry Arndt  <barndt@us.ibm.com>

	* mkfs/mkfs.c (main): Fix seg fault - use proper device_name pointer when
	                      printing "not a valid block device" error message.

2002-12-04  Dave Kleikamp <shaggy@austin.ibm.com>

	* xpeek/directory.c: Show and allow modification of directory index

2002-12-02  Steve Best <sbest@us.ibm.com>

	* Add note about uuid.h file required to build utilities (Bob Cochran)
	* remove info about 2.5 cvs tree

2002-11-20  Barry Arndt  <barndt@us.ibm.com>

	* jfs_fscklog/Makefile.am: add jfs_fscklog.h to SOURCES
	* configure.in: Bumped version to 1.1.0.
	* README: Likewise.
	* NEWS: Likewise.

2002-11-19  Barry Arndt  <barndt@us.ibm.com>

	* fsck/fsckconn.c: Remove unused parameter current_fsck_phase.
	* fsck/fsckdtre.c: Likewise.
	* fsck/fsckino.c: Likewise.
	* fsck/fsckpfs.c: Likewise.
	* fsck/fsckwsp.c: Likewise.
	* fsck/fsckxtre.c: Likewise.
	* fsck/xchkdsk.c: Likewise.
	* fsck/xfsck.h: Likewise.

2002-11-19  Dave Kleikamp <shaggy@austin.ibm.com>

	* fsck/fsckino.c: Fix off-by-one error validate_data

2002-11-14  Dave Kleikamp <shaggy@austin.ibm.com>

	* fsck/fsckino.c: Restructure code to reduce indenting.
			  Fix bogus minor format error when inline symlink is
			  greater than 128 bytes.

2002-11-13  Dave Kleikamp <shaggy@austin.ibm.com>

	* xpeek/inode.c: jfs_debugfs should recognize all inode types

2002-11-12  Dave Kleikamp <shaggy@austin.ibm.com>

	* fsck/fsckxtre.c: Restructure code to reduce indenting.
			   Allow zero key of intermediate xad, even if first
			   leaf key is non-zero.

2002-10-30  Barry Arndt  <barndt@us.ibm.com>

	* jfsutils.spec.in: Rename logdump to jfs_logdump, rename xpeek to jfs_debugfs.
	* logdump/Makefile.am: Rename logdump to jfs_logdump.
	* logdump/helpers.c: Likewise.
	* logdump/logdump.c: Likewise.
	* logdump/jfs_logdump.8: Add renamed man page.
	* logdump/logdump.8: Remove.
	* xpeek/Makefile.am: Rename xpeek to jfs_debugfs.
	* xpeek/help.c: Likewise.
	* xpeek/xpeek.c: Likewise.
	* xpeek/jfs_debugfs.8: Add renamed man page.
	* xpeek/xpeek.8: Remove.
	* fsck/jfs_fsck.8: Update 'SEE ALSO' program names with new names.
	* fscklog/jfs_fscklog.8: Likewise.
	* mkfs/jfs_mkfs.8: Likewise.
	* tune/jfs_tune.8: Likewise.
	* fsck/Makefile.am: Change install-exec-local to install-exec-hook.
	                    Change install-data-local to install-data-hook.
	                    Add uninstall-local.
	* mkfs/Makefile.am: Likewise.

2002-10-29  Barry Arndt  <barndt@us.ibm.com>

	* configure.in: Add AC_PATH_PROG(LN, ln, ln).
	* jfsutils.spec.in: Rename fsck.jfs to jfs_fsck, rename mkfs.jfs to jfs_mkfs.
	* fsck/Makefile.am: Rename fsck.jfs to jfs_fsck.
	                    Add install-exec-local to hard link fsck.jfs to jfs_fsck.
	                    Add install-exec-data to hard link fsck.jfs.8 to jfs_fsck.8.
	* fsck/jfs_fsck.8: Add renamed man page.
	* fsck/fsck.jfs.8: Remove.
	* fsck/xchkdsk.c: Add program_name and logic to display proper name.
	                  Change argc type from int32_t to int.
	                  Rename fsck.jfs to jfs_fsck.
	* mkfs/Makefile.am: Rename mkfs.jfs to jfs_mkfs.
	                    Add install-exec-local to hard link mkfs.jfs to jfs_mkfs.
	                    Add install-exec-data to hard link mkfs.jfs.8 to jfs_mkfs.8.
	* mkfs/jfs_mkfs.8: Add renamed man page.
	* mkfs/mkfs.jfs.8: Remove.
	* mkfs/mkfs.c: Add program_name and logic to display proper name.
	               Rename mkfs.jfs to jfs_mkfs.

2002-10-29  Dave Kleikamp <shaggy@austin.ibm.com>

	* libfs/log_work.c: Remove fileset from nodofilehash.
			    xtroot and btroot weren't hashing to the same
			    page as inode.
			    Update both pieces when first two parts of inode
			    are updated in same log record.
	* libfs/logredo.c: Reset bufhdr[].modify flag to avoid constantly
			   re-writing the same buffers

2002-10-28  Barry Arndt  <barndt@us.ibm.com>

	* libfs/fsckwsp.h: Add logredo_only flag to fsck_agg_record.
	* fsck/xchkdsk.c: Add include getopt.h.
	* fsck/xchkdsk.c (parse_parms): Add processing for --replay_journal_only option.
	                                Change -o to --omit_journal_replay.
	                                Allow -o (undocumented) for backwards compat.
	* fsck/xchkdsk.c (phase0_processing): Likewise.
	* fsck/xchkdsk.c (fsck_usage): Update usage message with new options.
	* fsck/fsck.jfs.8: Update man page with new options.
	* logredo/: Remove logredo.
	* Makefile.am: Remove logredo, change xchkdmp/xchklog to jfs_fscklog.
	* configure.in: Likewise.
	* jfsutils.spec.in: Likewise.
	* fsck/fsck.jfs.8: Likewise.
	* logdump/logdump.8: Likewise.
	* mkfs/mkfs.jfs.8: Likewise.
	* tune/jfs_tune.8: Likewise.
	* xchdmp/xchkdmp.8: Likewise.
	* xchklog/xchklog.8: Likewise.
	* xpeek/xpeek.8: Likewise.
	* fscklog/: Add directory and source for new jfs_fscklog tool combining
	            functions of xchkdmp and xchklog.
	* xchkdmp/: Remove.
	* xchklog/: Remove.

2002-10-18  Dave Kleikamp <shaggy@austin.ibm.com>

	* fsck/fsckea.c: Fix big-endian extended attribute checking
	* libfs/jfs_endian.c: Bounds-check dtree byte-swapping
	* libfs/log_work.c: Remove incorrect __le32_to_cpu usage.
	* configure.in: Bumped version to 1.0.24.
	* README: Likewise.
	* NEWS: Likewise.

2002-10-16  Barry Arndt  <barndt@us.ibm.com>

	* man_html/: Remove from CVS.
	* tune/super.c: Don't display unused superblock field 'compress'.

2002-10-16  Dave Kleikamp <shaggy@austin.ibm.com>

	* libfs/log_work.c: xad->len was not being byte-swapped on ppc

2002-09-27  Barry Arndt  <barndt@us.ibm.com>

	* libfs/Makefile.am: Remove fssubs.h from libfs_a_SOURCES.
	* fsck/Makefile.am: Remove fsckxlog.h from fsck_jfs_SOURCES.
	* configure.in: Bumped version to 1.0.23.
	* README: Likewise.
	* NEWS: Likewise.

2002-09-26  Barry Arndt  <barndt@us.ibm.com>

	* mkfs/*.c: More code cleanup.
	* fsck/*.c: Likewise.

2002-09-23  Barry Arndt  <barndt@us.ibm.com>

	* defrag/defragfs.c: Remove typedef's.
	* defrag/helpers.c: Likewise.
	* defrag/helpers.h: Likewise.
	* include/*.h: Likewise.
	* logdump/helpers.c: Likewise.
	* logredo/helpers.c: Likewise.
	* mkfs/initmap.c: Likewise.
	* mkfs/inodemap.c: Likewise.
	* mkfs/inodes.c: Likewise.
	* mkfs/mkfs.c: Likewise.
	* tune/super.c: Likewise.
	* tune/tune.c: Likewise.
	* xchkdmp/xchkdmp.c: Likewise.
	* xchklog/xchklog.c: Likewise.
	* xpeek/display.c: Likewise.
	* xpeek/directory.c: Likewise.
	* xpeek/dmap.c: Likewise.
	* xpeek/fsckcbbl.c: Likewise.
	* xpeek/iag.c: Likewise.
	* xpeek/inode.c: Likewise.
	* xpeek/xpeek.h: Likewise.
	* libfs/*.h, *.c: Run through 'indent', remove typedef's, clean up int32_t returns.
	* fsck/*.h, *.c: Likewise.
	* fsck/fsckxlog.h: Remove.

2002-09-13  Barry Arndt  <barndt@us.ibm.com>

	* logredo/helpers.c: Run through 'indent', clean up int types.
	* logredo/xlogredo.c: Likewise.
	* xchkdmp/xchkdmp.c: Likewise.
	* xpeek/alter.c: Likewise.
	* xpeek/directory.c: Likewise.
	* xpeek/display.c: Likewise.
	* xpeek/dmap.c: Likewise.
	* xpeek/fsckcbbl.c: Likewise.
	* xpeek/help.c: Likewise.
	* xpeek/iag.c: Likewise.
	* xpeek/inode.c: Likewise.
	* xpeek/io.c: Likewise.
	* xpeek/super2.c: Likewise.
	* xpeek/super.c: Likewise.
	* xpeek/ui.c: Likewise.
	* xpeek/xpeek.c: Likewise.
	* xpeek/xpeek.h: Likewise.

2002-09-12  Barry Arndt  <barndt@us.ibm.com>

	* mkfs/initmap.c: Run through 'indent', clean up int types.
	* mkfs/initmap.h: Likewise.
	* mkfs/inodemap.c: Likewise.
	* mkfs/inodemap.h: Likewise.
	* mkfs/inodes.c: Likewise.
	* mkfs/inodes.h: Likewise.
	* mkfs/mkfs.c: Likewise.
	* xchklog/xchklog.c:  Likewise. Remove JFS_INLINELOG from initialization
	                      of variable expected_flag in validate_super().
	* fsck/xchkdsk.c (initial_processing): Fix fsck.jfs start timestamp.
	* logdump/helpers.c: Run through 'indent', clean up int types.
	* logdump/logdump.c: Likewise.  Initialize variable prog in main().

2002-09-11  Barry Arndt  <barndt@us.ibm.com>

	* libfs/fssubs.h: Remove.
	* libfs/fssubs.c: Run through 'indent', change int32_t returns and rc's to int,
	                  remove routines and declarations specific to defrag.
	* defrag/helpers.c: Add. Contains contents of old libfs/fssubs.c specific to defrag.
	* defrag/helpers.h: Add. Contains contents of old libfs/fssubs.h specific to defrag.
	* defrag/defragfs.c: Run through 'indent', change int32_t returns and rc's to int,
	                     include helpers.h instead of fssubs.h.
	* defrag/Makefile.am: Add helpers.c and helpers.h to defragfs_SOURCES.

2002-09-10  Barry Arndt  <barndt@us.ibm.com>

	* defrag/defragfs.c: Run through 'indent', change int32_t returns and rc's to int,
	                     replace countLZ32 and countTZ32 calls with actual function.
	* libfs/utilsubs.c: Run through 'indent', change more() return from int32_t to int,
	                    remove countLZ32() and countTZ32().
	* libfs/utilsubs.h: Likewise.

2002-09-09  Barry Arndt  <barndt@us.ibm.com>

	* configure.in: Bumped version to 1.0.22.
	* README: Likewise.
	* NEWS: Likewise.

2002-09-06  Barry Arndt  <barndt@us.ibm.com>

	* mkfs/mkfs.c (main): Change volume_label size from 11 chars to 16 to
	                      correctly store a volume label in superblock s_label.

2002-09-05  Barry Arndt  <barndt@us.ibm.com>

	* libfs/logform.c (jfs_logform): Pass external journal volume label.
	* libfs/logform.h: Likewise.
	* fsck/xchkdsk.c (phase9_processing): Likewise.
	* libfs/logredo.c: Make LogOpenMode extern for better portability.
	* libfs/open_by_label.c: Define LogOpenMode here for better portability.
	                         (open_by_label): Pass device name.
	* mkfs/mkfs.c: Update jfs_logform() call to pass external journal volume label.
	               Update open_by_label() call to pass device name.
	               Add -J option to create external journal only or attach existing
	                   journal to about-to-be formatted JFS file system.  Existing
	                   journal can be specified by device name, label, or UUID.
	               Update -L to allow user to set volume label of external journal.
	* mkfs/mkfs.jfs.8: Update man page with above information.
	* all of the above: Run through 'indent' to begin code cleanup and style unification.
	* Makefile.am: Add /tune for jfs_tune utility.
	* jfsutils.spec.in: Likewise.
	* configure.in: Likewise.
	* tune/Makefile.am: Create.
	* tune/tune.c: Likewise.
	* tune/super.c: Likewise.
	* tune/jfs_tune.8: Likewise.

2002-08-12  Barry Arndt  <barndt@us.ibm.com>

	* configure.in: Bumped version to 1.0.21.
	* README: Likewise.
	* NEWS: Likewise.

2002-08-10  Christoph Hellwig  <hch@infradead.org>

	* AUTHORS: Update my email address.
	* libfs/logform.c (jfs_logform): Calculate log_begin earlier.
	* libfs/log_work.c (open_device):  Fix sprintf format string.
	* libfs/logredo.h:  Don't define NEWLOG.
	* jfs_logmgr.h: Provide alternative struct identifier for logsuper_t.
	* libfs/super.c (inrange): Return int instead of int32_t.
		(validate_sizes): Likewise.
		(ujfs_validate_super): Likewise.
		(ujfs_put_superblk): Likewise.
		(ujfs_get_superblk): Likewise.
	* libfs/super.h: Update prototypes for the above change, add missing
		prototypes for ujfs_put_logsuper and ujfs_get_logsuper, add needed
		struct forward declarations.
	* xpeek/fsckcbbl.c: Include <super.h>.

2002-08-08  Barry Arndt  <barndt@us.ibm.com>

	* libfs/super.c: Add ujfs_validate_logsuper(), ujfs_put_logsuper(), ujfs_get_logsuper().
	* xpeek/fsckcbbl.c: Use ujfs_put_logsuper, ujfs_get_logsuper calls instead of
	                    put_logsuper, get_logsuper.
	                    Get rid of put_logsuper() and get_logsuper().

2002-08-07  Barry Arndt  <barndt@us.ibm.com>

	* fsck/xchkdsk.c (phase0_processing): Update log device number in superblock
	                                      after logredo with external log.

2002-07-18  Barry Arndt  <barndt@us.ibm.com>

	* xpeek/Makefile.am: Add -luuid to LDADD for external log support.
	* xpeek/fsckcbbl.c (display_logsuper): Add support for external log.
	                                       Clean up file.
	* xpeek/super.c (display_super): Likewise.
	* xpeek/super2.c (display_super2): Likewise.

2002-07-15  Christoph Hellwig  <hch@infradead.org>

	* libfs/logredo.c (jfs_logredo): Remove unused variables.
	* libfs/log_work.c (logredoInit): Likewise.
	* libfs/log_dump.c (ldmp_logError): Likewise.
	* fsck/xchkdsk.c (final_processing):  Likewise.
	* libfs/logredo.h: Add prototype for findLog().
	* xpeek/fsckcbbl.c (display_logsuper): Fix printf format specifiers.

2002-07-12  Barry Arndt  <barndt@us.ibm.com>

	* Makefile.am (SUBDIRS): Remove defrag and extendfs.
	* configure.in (AC_OUTPUT): Likewise.
	* extendfs/: Remove contents.
	* *.h, *.c: Clean up license boilerplates and comments.

2002-07-10  Barry Arndt  <barndt@us.ibm.com>

	* defrag/defragfs.c: Remove register keyword.
	* fsck/fsckdire.c: Likewise.
	* include/jfs_unicode.h: Likewise.
	* libfs/log_dump.c: Likewise.
	* libfs/logredo.c: Likewise.
	* libfs/utilsubs.c: Likewise.
	* include/jfs_logmgr.h: Only include uuid/uuid.h if not already included.
	* include/jfs_superblock.h: Likewise.
	* libfs/logform.c: Remove unneeded #include <uuid/uuid.h>.
	* libfs/logform.h: Likewise.
	* libfs/logredo.h: Likewise.
	* libfs/open_by_label.c: Likewise.

2002-06-24  Barry Arndt  <barndt@us.ibm.com>

	* mkfs/mkfs.c (mkfs_usage): Fixed typo in Emergency help. (Bas)

2002-06-21  Barry Arndt  <barndt@us.ibm.com>

	* configure.in: Bumped version to 1.0.20.
	* README: Likewise.
	* NEWS: Likewise.

2002-06-20  Barry Arndt  <barndt@us.ibm.com>

	* libfs/logform.c: Include unistd.h.
	  (jfs_logform): Do not display logform heartbeat if output is redirected.

2002-06-20  peterc@gelato.unsw.edu.au

	* libfs/devices.c: Add support for BLKGETSIZE64.
[--snip--]
